/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

@font-face {
	font-display: swap !important;
}

a, button {
    transition: all 0.3s ease-in-out;
}

span.page-numbers {
    padding: 8px;
    text-align: center;
}

h1:last-child, h2:last-child, h3:last-child, h4:last-child, h5:last-child, h6:last-child, p:last-child {
    margin-bottom: 0;
}

button:hover {
    filter: brightness(1.1);
    transform: scale(1.06);
}

footer nav li:first-of-type {
    margin-left: 0 !important;
}

p iframe {
    margin: 1.875rem 0;
}

p iframe:last-child {
    margin-bottom: 0;
}

figcaption {
    backdrop-filter: blur(10px);
    background-color: rgba(56,146,229, 0.65);
    font-size: 0.85rem;
}

.wp-block-image figcaption {
    backdrop-filter: none;
    background-color: transparent;
    text-align: left;
}

figure.wp-block-embed {
    box-shadow: rgba(0, 0, 0, 0.22) 1px 22px 50px 0px;
}

figure.wp-block-image {
    margin: 1.875rem 0;
}

figure.wp-block-image.no-y-margin {
    margin-bottom: 0;
    margin-top: 0;
}

figure.wp-block-image.no-x-margin {
    margin-left: 0;
    margin-right: 0;
}

.wp-block-image img {
    border-radius: 24px;
    box-shadow: rgba(0, 0, 0, 0.22) 1px 22px 50px 0px;
}

.wp-block-image.no-shadow img {
    box-shadow: none;
}

figure.wp-block-pullquote {
    padding: 2rem;
}

.content-row {
    justify-content: space-between;
    margin: 1.875rem 0;
    padding: 1.875rem 0;
}

.content-row:first-of-type {
    margin-top: 0;
    padding: 0;
}

.content-row.intro.is-layout-flex {
    align-items: start;
}

.content-row.intro figure {
    max-height: 200px;
    position: relative;
    text-align: right;
    width: 100%;
}

.content-row.intro figure img {
    position: relative;
    top: -9rem;
}

.content-row figure {
    max-width: 480px;
    width: 100vw;
}

.content-row figure.w-600 {
    margin: 0 auto;
    max-width: 600px;
}

.content-row figure.margin-right {
    margin-right: 1.875rem !important;
}

.content-row figure.margin-left {
    margin-left: 1.875rem !important;
}

.content-row.blue {
    background-color: #E0F0FF;
    border-radius: 24px;
    box-shadow: 1px 22px 50.5px 0px rgba(0, 0, 0, 0.12);
    padding: 3.75rem 1.875rem;
}

.content-row.blue-alt {
    background-color: #E0F0FF;
    background: linear-gradient(270deg, rgba(102, 153, 200, 0.44) 0%, rgba(168, 209, 215, 0.44) 25%, rgba(213, 229, 236, 0.44) 50%, rgba(225, 235, 244, 0.44) 100%);
    border-radius: 24px;
    box-shadow: 1px 22px 50.5px 0px rgba(0, 0, 0, 0.12);
    padding: 3.75rem 1.875rem;
}

/* --- Grid for Awards Page ---*/
.awards-row {
    align-items: center;
    display: grid;
    grid-template-columns: min-content min-content min-content;
    gap: 30px;
    justify-items: center;
    margin-bottom: 60px;
}

.awards-block img {
    display: block;
    height: auto;
    min-width: 200px;
    width: 100%;
}



@media (max-width: 1100px) {

     .content-row figure {
        flex-basis: auto;
    }
    
    .content-row.intro {
        flex-direction: column-reverse;
    }

    .content-row.intro figure {
        margin: 0 auto !important;
        max-height: 240px;
        position: relative;
        width: 100%;
    }

    .content-row.intro figure img {
        top: -12vh;
    }

    .content-row figure.wp-block-image {
        min-width: 280px;
        text-align: center;
    }
}

@media (max-width: 768px) {
    .content-row {
        gap: 3.75rem;
        flex-direction: column;
    }

    .content-row.intro figure img {
        top: 0;
        text-align: center;
    }

    .content-row figure.wp-block-image {
        margin: 0;
        max-width: 280px;
        min-width: 200px;
    }

     .content-row.intro figure {
        margin: 0 auto !important;
        max-width: 100%;
        max-height: 100%;
    }

    /* --- Grid for Awards Page ---*/
    .awards-row {
        grid-template-columns: 1fr 1fr;
    }

    .awards-block img {
        display: block;
        height: 40px;
        min-width: 100%;
        width: auto;
    }
}

@media (max-width: 500px) {
    /* --- Grid for Awards Page ---*/
    .awards-row {
        grid-template-columns: 1fr;
    }
}